Subject: Re: bug#49724: 27.2; Tramp /sudoedit:: does not preserve file security context

From: [email-masked]
Date: Sun, 25 Jul 2021 21:30:21 +0200 (CEST)

Jul 25, 2021, 17:05 by [email-masked]:

> [email-masked] writes:
>
>>> This means that the password hasn't been cached. The sudoedit method
>>> does not keep a running session in the background, so every operation
>>> could require authentication.
>>>
>>
>> No matter how many times I retype the password, it doesn't work, keeps repeatedly asking for password. It works if I don't use emacs -Q, but use my own emacs configuration. How should I solve it for emacs -Q?
>>
>
> I see. As said, caching is disabled when "emacs -Q" is called. This is a
> problem for the sudoedit method. Could you try instead
>
> emacs -Q --eval '(setq tramp-cache-read-persistent-data t)'
>
> Best regards, Michael.
>

That indeed worked. I also tried -q without the eval part and that works too, thanks for your help.

There isn't much hint to side effects like this on the 'Emacs Invocation' part of emacs manual, is this explained in elisp manual maybe? What I found is "-Q’ Equivalent to ‘-q --no-site-file --no-splash’." and that it doesn't load 'default.el'.